Home > Element Reference : Destructor

Contents

### Destructor

The code inside this element is called when the binding is removed from an element. You can use this to unload resources to free memory. The destructor should be placed inside the implementation element.

More information about Destructor

#### Attributes:

Attributes inherited from XUL Element

action

The code contained in the action value is executed for the destructor. Alternatively, you can put the code inside the destructor element.

class

The style class of the xbl:destructor. Multiple classes may be specified by separating them with spaces.

id

A unique identifier so that you can identify the xbl:destructor with. You can use this as a parameter to getElementById and other DOM functions and to reference the element in style sheets.

Copyright (C) 1999 - 2002 XULPlanet.com